import django.newforms as forms
from django.newforms import ValidationError
import decimal

class LookupForm(forms.Form):
    target = forms.CharField(required=False)
    ra = forms.DecimalField(required=False)
    dec = forms.DecimalField(required=False)
    theta = forms.DecimalField(required=False)
    freq   = forms.DecimalField(required=True)

    def clean(self):
        try:
            ra_set    = isinstance(self.cleaned_data['ra'], decimal.Decimal)
            dec_set   = isinstance(self.cleaned_data['dec'], decimal.Decimal)
            theta_set = isinstance(self.cleaned_data['theta'], decimal.Decimal)
            if (ra_set or dec_set or theta_set) and not (ra_set and dec_set and theta_set):
                raise ValidationError("Specify a full search position and radius.")
        except KeyError:
            pass
        return self.cleaned_data
