#coding: utf-8
from django.template import Library
from django.conf import settings

register = Library()

@register.filter
def ratohms(radegs):
    radegs %= 360
    raseconds = radegs * 3600 / 15.0
    hours, seconds = divmod(raseconds, 60**2)
    minutes, seconds = divmod(seconds, 60)

    return "%dh %dm %ds" % (hours, minutes, seconds)

@register.filter
def dectodms(decdegs):
    if abs(decdegs) > 90:
        raise ValueError
    decd = int(decdegs)
    decm = int((decdegs-decd)*60)
    decs = (((decdegs-decd)*60)-decm)*60
    if decd < 0:
        decm = -1*decm
        decs = -1*decs
    return "%d° %d' %d\"" % (decd, decm, decs)
