from forms import LookupForm
from models import Sources
from django.shortcuts import render_to_response
from django.core.paginator import Paginator

def lookup(request):
    form = LookupForm(request.GET)
    if form.is_valid():
        if form.cleaned_data['ra']:
            sources = Sources.objects.near(form.cleaned_data['ra'], form.cleaned_data['dec'], form.cleaned_data['theta'])
        else:
            sources = Sources.objects.all()
        if form.cleaned_data['target']:
            sources = sources.filter(src_name__icontains=form.cleaned_data['target'])
        slist = map(lambda x: {'src_name': x.src_name, 'ra': x.ra, 'decl': x.decl, 'linear': x.linear(float(form.cleaned_data['freq'])), 'kuehr': x.kuehr(float(form.cleaned_data['freq']))} , sources)
        return render_to_response('helmboldt/display.html', {'form': form, 'sources': slist})
    else:
        return render_to_response('helmboldt/display.html', {'form': form})

    return render_to_response('helmboldt/display.html', {'form': form})


